.snackbar {
  position: absolute;
  z-index: -5;
  top: 6rem;
  right: 1rem;
  width: 20rem;
  text-overflow: wrap;
  overflow: hidden;
  color: white;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  padding: 0.8rem 1.5rem;
  border-radius: 4px;
  animation: low-fadein 5s;
  -webkit-animation: low-fadein 5s;
  position: fixed;
  opacity: 0;
}
.snackbar--dashboard {
  top: 2rem;
  animation: high-fadein 5s;
  -webkit-animation: high-fadein 5s;
}
.snackbar--success {
  background: var(--success);
}
.snackbar--warning {
  background: var(--warning);
}
.snackbar--error {
  background: var(--error);
}
/* Animations to fade the snackbar in and out */
@-webkit-keyframes low-fadein {
  from {
    top: 8rem;
    opacity: 0;
 }
  10% {
    top: 6rem;
    opacity: 1;
    z-index: 1000;
 }
  80% {
    top: 6rem;
    opacity: 1;
    z-index: 1000;
 }
  to {
    top: 6rem;
    opacity: 0;
    position: fixed;
    z-index: -5;
 }
}
@keyframes low-fadein {
  from {
    top: 8rem;
    opacity: 0;
 }
  10% {
    top: 6rem;
    opacity: 1;
    z-index: 1000;
 }
  80% {
    top: 6rem;
    opacity: 1;
    z-index: 1000;
 }
  to {
    top: 6rem;
    opacity: 0;
    position: fixed;
    z-index: -5;
 }
}
/* Animations to fade the snackbar in and out */
@-webkit-keyframes high-fadein {
  from {
    top: 4rem;
    opacity: 0;
    display: block;
 }
  10% {
    top: 2rem;
    opacity: 1;
    z-index: 1000;
 }
  80% {
    top: 2rem;
    opacity: 1;
    z-index: 1000;
 }
  to {
    top: 2rem;
    opacity: 0;
    position: fixed;
    z-index: -5;
 }
}
@keyframes high-fadein {
  from {
    top: 4rem;
    opacity: 0;
 }
  10% {
    top: 2rem;
    opacity: 1;
    z-index: 1000;
 }
  80% {
    top: 2rem;
    opacity: 1;
    z-index: 1000;
 }
  to {
    top: 2rem;
    opacity: 0;
    position: fixed;
    z-index: -5;
 }
}
